Get a list of servers
GET
/system/servers
const url = 'https://example.com/api/v1/system/servers?limit=50&offset=0';const options = {method: 'GET', headers: {cookie: 'grommunioAuthJwt=<grommunioAuthJwt>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/system/servers?limit=50&offset=0' \ --cookie grommunioAuthJwt=<grommunioAuthJwt>Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”level
integer
Set detail level of return value. Usually ranges from 0 to 2.
limit
integer
Maximum number of results to return
offset
integer
Index of the first element to return
match
string
Match by substring
matchFields
string
Comma separated list of attributes to restrict matching to.
sort
string
Sort by attribute. Can be given multiple times.
hostname
string
Filter by hostname
description
string
Filter by extname
users
Array<integer>
Filter by users
Responses
Section titled “Responses”List of servers returned
Media typeapplication/json
object
data
Array<object>
object
ID
Unique ID of the object
integer
hostname
Internal hostname of the server
string
extname
External address of the server
string
users
Number of users on the server
integer
domains
Number of domains on the server
integer
Examplegenerated
{ "data": [ { "hostname": "example", "extname": "example" } ]}Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}The database query failed
Media typeapplication/json
object
message
Description of the error
string
Examplegenerated
{ "message": "example"}